ROOT(7)

NAME

root - override the global root

DESCRIPTION

This handler allows for overriding the root directive from the global block in the current handler block. It works identical to the atomdns-global(1) root's configuration.

SYNTAX

    root DIRECTORY

•   with root DIRECTORY is the directory to use as the root directory in the handler block. Any relative path names will get this directory prefixed. If DIRECTORY itself is also relative, the current working directory (cwd) of the atomdns process will be prefixed.

EXAMPLES

    example.org {
        root /my/zones
        dbfile db.example.org
    }

The "db.example.org" zone should now be located in /my/zones.

NOTES

This handler must be set first in a handler block to effect all subsequent handlers in the block.

ALSO SEE

atomdns-global(1).